- Qt 6.10
- Qt Remote Objects
- C++ Classes
- QRemoteObjectRegistry
- Qt 6.10.2 Reference Documentation

# QRemoteObjectRegistry Class

A class holding information about Source objects available on the Qt Remote Objects network. More...

Header: | `#include <QRemoteObjectRegistry>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS RemoteObjects)` `target_link_libraries(mytarget PRIVATE Qt6::RemoteObjects)`
qmake: | `QT += remoteobjects`
Inherits: | QRemoteObjectReplica

- List of all members, including inherited members

## Properties

- sourceLocations : QRemoteObjectSourceLocations

## Public Functions

virtual | ~QRemoteObjectRegistry() override
QBindable<QRemoteObjectSourceLocations> | bindableSourceLocations() const
QRemoteObjectSourceLocations | sourceLocations() const

## Signals

void | remoteObjectAdded(const QRemoteObjectSourceLocation &entry)
void | remoteObjectRemoved(const QRemoteObjectSourceLocation &entry)

## Detailed Description

The Registry is a special Source/Replica pair held by a node itself. It knows about all other Sources available on the network, and simplifies the process of connecting to other nodes.

## Property Documentation

### `[bindable read-only]` sourceLocations : QRemoteObjectSourceLocations

Note: This property supports QProperty bindings.

This property holds the set of sources known to the registry.

This property is a QRemoteObjectSourceLocations, which is a typedef for QHash<QString, QRemoteObjectSourceLocationInfo>. Each known Source is contained as a QString key in the hash, and the corresponding value for that key is the QRemoteObjectSourceLocationInfo for the host node.

Access functions:

QRemoteObjectSourceLocations | sourceLocations() const

## Member Function Documentation

### `[override virtual noexcept]` QRemoteObjectRegistry::~QRemoteObjectRegistry()

Destructor for QRemoteObjectRegistry.

### `[signal]` void QRemoteObjectRegistry::remoteObjectAdded(const QRemoteObjectSourceLocation &entry)

This signal is emitted whenever a new source location is added to the registry.

entry is a QRemoteObjectSourceLocation, a typedef for QPair<QString, QRemoteObjectSourceLocationInfo>.

See also remoteObjectRemoved().

### `[signal]` void QRemoteObjectRegistry::remoteObjectRemoved(const QRemoteObjectSourceLocation &entry)

This signal is emitted whenever a Source location is removed from the Registry.

entry is a QRemoteObjectSourceLocation, a typedef for QPair<QString, QRemoteObjectSourceLocationInfo>.

See also remoteObjectAdded().

### QRemoteObjectSourceLocations QRemoteObjectRegistry::sourceLocations() const

Returns a QRemoteObjectSourceLocations object, which includes the name and additional information of all sources known to the registry.

Note: Getter function for property sourceLocations.